TestAction Class Reference

`#include <TestAction.h>`

Inheritance diagram for TestAction:

## Public Member Functions

| TestAction ()
virtual void | obtainParameters (vector< Parameter * > &parameters)
virtual void | perform ()
virtual bool | displayAction () const
| Returns whether this action should be shown to the user by the help action.
Public Member Functions inherited from Action
| Action (const char *name, const char *shortDescription, const char *description, bool acceptsNonParameter)
virtual | ~Action ()
const char * | getName () const
const char * | getShortDescription () const
const char * | getDescription () const
bool | acceptsNonParameter () const
virtual void | processNonParameter (const char *str)
virtual void | parseCommandLine (unsigned int tokenCount, const char **tokens)
const Parameter & | getParam (const string &name) const

## Static Public Member Functions

static const char * | staticGetName ()
Static Public Member Functions inherited from Action
static void | getActionNames (vector< string > &names)
static unique_ptr< Action > | createActionWithPrefix (const string &prefix)

## Additional Inherited Members

Protected Attributes inherited from Action
CliParams | _params
const char * | _name
const char * | _shortDescription
const char * | _description
bool | _acceptsNonParameter
BoolParameter | _printActions

## Detailed Description

Definition at line 23 of file TestAction.h.

## Constructor & Destructor Documentation

## TestAction()

TestAction::TestAction | ( |  | ) |

Definition at line 25 of file TestAction.cpp.

## Member Function Documentation

## displayAction()

bool TestAction::displayAction | ( |  | ) | const

virtual

Returns whether this action should be shown to the user by the help action.

Reimplemented from Action.

Definition at line 54 of file TestAction.cpp.

## obtainParameters()

void TestAction::obtainParameters | ( | vector< Parameter * > & | parameters | ) |

virtual

Reimplemented from Action.

Definition at line 33 of file TestAction.cpp.

## perform()

void TestAction::perform | ( |  | ) |

virtual

Implements Action.

Definition at line 36 of file TestAction.cpp.

## staticGetName()

const char * TestAction::staticGetName | ( |  | ) |

static

Definition at line 50 of file TestAction.cpp.

The documentation for this class was generated from the following files:

- src/TestAction.h
- src/TestAction.cpp